UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

59 lines 2.45 kB
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.leaderboardEndpoint = void 0; const zod_1 = require("zod"); const commonTypes_1 = require("../../commonTypes"); exports.leaderboardEndpoint = { name: 'Leaderboard', description: 'Get the leaderboard for a given season', queryName: 'MMR_FetchLeaderboard', category: 'PVP Endpoints', type: 'pd', suffix: 'mmr/v1/leaderboards/affinity/na/queue/competitive/season/{season id}', query: new Map([ ['startIndex', zod_1.z.number().describe('The index of the first entry to return. The client will have this set to 0')], ['size', zod_1.z.number().describe('The number of entries to retrieve. The client will request 510 entries')], ['query', zod_1.z.string().optional().describe('An optional username to search for')], ]), variables: new Map([ ['season id', commonTypes_1.seasonIDSchema] ]), riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, responses: { '200': zod_1.z.object({ Deployment: zod_1.z.string(), QueueID: commonTypes_1.queueIDSchema, SeasonID: commonTypes_1.seasonIDSchema, Players: zod_1.z.array(zod_1.z.object({ PlayerCardID: commonTypes_1.cardIDSchema, TitleID: commonTypes_1.titleIDSchema, IsBanned: zod_1.z.boolean(), IsAnonymized: zod_1.z.boolean(), puuid: commonTypes_1.playerUUIDSchema, gameName: zod_1.z.string(), tagLine: zod_1.z.string(), leaderboardRank: zod_1.z.number(), rankedRating: zod_1.z.number(), numberOfWins: zod_1.z.number(), competitiveTier: zod_1.z.number() })), totalPlayers: zod_1.z.number(), immortalStartingPage: zod_1.z.number(), immortalStartingIndex: zod_1.z.number(), topTierRRThreshold: zod_1.z.number(), tierDetails: zod_1.z.record(zod_1.z.object({ rankedRatingThreshold: zod_1.z.number(), startingPage: zod_1.z.number(), startingIndex: zod_1.z.number() })), startIndex: zod_1.z.number(), query: zod_1.z.string() }) } }; //# sourceMappingURL=Leaderboard.js.map